#
# spec file for package python-launchpadlib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-launchpadlib
Version:        1.10.2
Release:        2.5
Summary:        Script Launchpad through its web services interfaces.  Officially supported
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://launchpad.net/launchpadlib/
Source:         https://launchpad.net/launchpadlib/trunk/1.10.2/+download/launchpadlib-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
#BuildRequires:  python-httplib2
#BuildRequires:  python-keyring
#BuildRequires:  python-lazr.restfulclient >= 0.9.19
#BuildRequires:  python-lazr.uri
#BuildRequires:  python-oauth
#BuildRequires:  python-simplejson
#BuildRequires:  python-testresources
#BuildRequires:  python-wadllib
Requires:       python-httplib2
Requires:       python-keyring
Requires:       python-lazr.restfulclient >= 0.9.19
Requires:       python-lazr.uri
Requires:       python-oauth
Requires:       python-simplejson
Requires:       python-testresources
Requires:       python-wadllib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%else
BuildArch:      noarch
%endif

%description
launchpadlib is an open-source Python library that lets you treat the HTTP
resources published by Launchpad's web service as Python objects responding to
a standard set of commands. With launchpadlib you can integrate your
applications into Launchpad without knowing a lot about HTTP client programming.

This document shows how to use a Python client to read and write Launchpad's
data using the launchpadlib library. It doesn't cover the HTTP requests and
responses that go back and forth behind the scenes: for that, see the "hacking"
document. This document also doesn't cover the full range of what's possible
with Launchpad's web service: for that, see the web service reference
documentation. Check out the API examples page if you would like to see more
sample code.

Launchpad's web service currently exposes the following major parts of Launchpad:
 + People and teams
 + Team memberships
 + Bugs and bugtasks
 + The project registry
 + Hosted files, such as bug attachments and mugshots. 

%prep
%setup -q -n launchpadlib-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#NOTE(saschpe): Fix failing tests
#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
